package domande.dati;

import java.io.Serializable;


/**
 *
 * @author Giuseppe
 */
public class Domanda
implements Serializable
{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String domanda;
	private String risp1;
	private String risp2;
	private String risp3;
	private String risp4;
	private boolean attRisp3;
	private boolean attRisp4;
	private int numRisp1;
	private int numRisp2;
	private int numRisp3;
	private int numRisp4;

	
	
	public Domanda()
	{
		this.attRisp3 = false;
		this.attRisp4 = false;
		this.azzera();
	}

	public void azzera() {
		this.numRisp1 = 0;
		this.numRisp2 = 0;
		this.numRisp3 = 0;
		this.numRisp4 = 0;
	}

	public void incRisp1()
	{
		this.numRisp1 += 1;
	}

	public void incRisp2()
	{
		this.numRisp2 += 1;
	}

	public void incRisp3() {
		this.numRisp3 += 1;
	}

	public void incRisp4() {
		this.numRisp4 += 1;
	}

	public boolean isAttRisp3() {
		return this.attRisp3;
	}

	public boolean isAttRisp4()
	{
		return this.attRisp4;
	}

	public String getDomanda() {
		return this.domanda;
	}

	public void setDomanda(String domanda) {
		this.domanda = domanda;
	}

	public String getRisp1() {
		return this.risp1;
	}

	public void setRisp1(String risp1) {
		this.risp1 = risp1;
	}

	public String getRisp2() {
		return this.risp2;
	}

	public void setRisp2(String risp2) {
		this.risp2 = risp2;
	}

	public String getRisp3() {
		return this.risp3;
	}

	public void setRisp3(String risp3) {
		this.attRisp3 = true;
		this.risp3 = risp3;
	}

	public String getRisp4() {
		return this.risp4;
	}

	public void setRisp4(String risp4) {
		this.attRisp4 = true;
		this.risp4 = risp4;
	}

	public int getNumRisp1() {
		return numRisp1;
	}

	public int getNumRisp2() {
		return numRisp2;
	}

	public int getNumRisp3() {
		return numRisp3;
	}

	public int getNumRisp4() {
		return numRisp4;
	}

	public void setNumRisp1(int numRisp1) {
		this.numRisp1 = numRisp1;
	}

	public void setNumRisp2(int numRisp2) {
		this.numRisp2 = numRisp2;
	}

	public void setNumRisp3(int numRisp3) {
		this.numRisp3 = numRisp3;
	}

	public void setNumRisp4(int numRisp4) {
		this.numRisp4 = numRisp4;
	}

	
	

}
