package domande;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import javax.swing.JOptionPane;

import domande.dati.PollDb;

public class OpenSave {
	
	public static boolean salva(PollDb poll, String fileName) {
		try {
			File f = new File(fileName);
			f.delete();
			
			XMLWriter out = new XMLWriter(poll);
			BufferedWriter bw = new BufferedWriter(new FileWriter(f));
			bw.write(out.getXML());
			bw.close();
			
			return true;
		} catch(IOException e) {
			JOptionPane.showMessageDialog(null, e.toString(), "Errore", JOptionPane.ERROR_MESSAGE);
		}
		return false;
	}
	
	public static PollDb apri(String fileName)   {
		try {
			XMLReader reader = new XMLReader(fileName);
			return  reader.prendiDati();
			
		} catch (BadPollXMLFileException e) {
			JOptionPane.showMessageDialog(null, e.getMessage(), "Errore nel file XML", JOptionPane.ERROR_MESSAGE);
		} catch(Throwable e) { //catturo tutte le altre possibili eccezioni generate durante l'esecuzione
			JOptionPane.showMessageDialog(null, e.toString(), "Errore", JOptionPane.ERROR_MESSAGE);
			e.printStackTrace();
		}
		
		return null;	
	}
}
