/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package pollwriter;

import javax.swing.text.BadLocationException;
import javax.swing.text.PlainDocument;
import javax.swing.text.AttributeSet;

/**
 *
 * @author Utente
 */
public class JTextFieldLimit extends PlainDocument {
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private int limit;

     public JTextFieldLimit(int limit) {
        super();
        this.limit = limit;
    }
    
    @Override
    public void insertString(int offs, String str, AttributeSet a) throws BadLocationException {
        if(str == null)
            return;

        if((getLength() + str.length()) < limit) {
            super.insertString(offs, str, a);
        }
    }

}